=== debian/changelog ===
batmand (0.3.2-6) unstable; urgency=low

  * debian/copyright: Update copyright years
  * Remove outdated README.source
  * Convert to 3.0 (quilt) source format
  * Use dh_dkms to provide DKMS support
  * debian/control:
    - Upgraded to policy 3.9.0, no changes required
    - Build only on linux due dependencies on the linux routing code

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 28 Jun 2010 22:43:59 +0200

batmand (0.3.2-5) unstable; urgency=low

  * Remove shlibs:Depends for binary packages without shared libs dependencies
  * Add missing ${misc:Depends} debhelper for batmand-gateway-source
  * Use dkms postinst script for batmand-gateway-dkms (Closes LP: #497149)
  * Correct spelling errors found by lintian

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Wed, 13 Jan 2010 23:32:26 +0100

batmand (0.3.2-4) unstable; urgency=low

  * Correct description of debian/patches/netdevice_ops.patch
  * Reformat debian/control
  * Provide batmand-gateway-dkms package that uses DKMS to dynamically build
    modules for the local kernel
  * Recommend either batmand-gateway-dkms or batmand-gateway-modules for batmand
    in debian/control

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 20 Oct 2009 17:19:15 +0200

batmand (0.3.2-3) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Change to dep3 patch tagging guidelines
    - Remove number before patches as order is given by debian/patches/series
  * Remove inactive maintainer Wesley Tsai from Uploaders in debian/control
  * Override Lintian warning init.d-script-possible-missing-stop as sendsigs
    will kill the daemon more efficiently

  [ Petter Reinholdtsen ]
  * Correct runlevels and dependencies in init.d LSB header (Closes: #548306)
  * Add batmand.postinst to recover from incorrect init.d script headers in
    previous versions

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 03 Oct 2009 17:49:25 +0200

batmand (0.3.2-2) unstable; urgency=low

  * Upgraded to policy 3.8.3, no changes required
  * debian/patches:
    - Add 101-netdevice_ops.patch, fix compilation against linux-2.6.31
      (Closes: #534629)
  * Recommend batmand-gateway-modules and only suggest batmand-gateway-source
  * Add README.source with information about patch management

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Fri, 11 Sep 2009 01:06:25 +0200

batmand (0.3.2-1) unstable; urgency=low

  * New Upstream Version
  * Remove upstream merged batmand manpage
  * Remove olsr references from /etc/default/batmand
  * debian/patches:
    - Update 100-outoftree_kbuild.patch, only activate linux26 type of
      module building
  * debian/rules:
    - Use the kernel makefiles directly to build the module to match
      linux-modules-extra-2.6 way of building it
  * debian/control:
    - Add bzip2 Depend-Indep for batmand-gateway-source
    - Allow Debian Maintainers to upload new versions of batmand
  * Convert debian/copyright to new dep5 version

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 13 Jun 2009 08:49:10 +0200

batmand (0.3.1-3) unstable; urgency=low

  * Upgraded to policy 3.8.1, no changes required
  * Move batmand-gateway-* to new section kernel
  * Add package batmand-dbg with debug symbols
  * debian/control: Move Vcs-* to git.debian.org
  * Install kernel module source tarball to batmand-gateway.tar.bz2 instead of
    batmand-gateway-source.tar.bz2
  * Add quilt as patch system to debian/rules
  * debian/patches:
    - Add 100-outoftree-kbuild.patch - Allow out of tree module build for
      linux-modules-extra-2.6

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Fri, 10 Apr 2009 00:47:07 +0200

batmand (0.3.1-2) unstable; urgency=low

  * debian/copyright:
    - Correctly state that batmand is available under version 2 of the GPL
      only. Thanks to Frank Lichtenheld <ftpmaster@debian.org> for spotting
      this while reviewing NEW.

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2009 17:57:54 +0100

batmand (0.3.1-1) unstable; urgency=low

  [ Sven Eckelmann ]
  * New upstream release.
  * Generate package for B.A.T.M.A.N. gateway linux kernel module
  * debian/rules:
    - Let dh_clean (>= 7) delete top level *-stamp files
    - Replace deprecated dh_clean -k with dh_prep
    - Remove unused configure target
    - Run debhelper in binary-arch only for arch dependent targets
    - Use CFLAGS from dpkg-buildpackage
  * debian/control:
    - Correct Upstream URL
    - Add myself as uploader
    - Recommend batmand by batmand-gateway-(source|modules)
  * debian/copyright:
    - Convert copyright to new machine readable copyright format
    - Update copyright years
    - Remove list.h as special copyright case due to removal
    - Add new copyright holders Antoine van Gelder and myself
  * Correct URLs to documents in upstream
  * Correct URL in debian/watch to match newer releases

  [ Holger Levsen ]
  * Gladly accept the patches by Sven :-)
  * debian/control: batmand-gateway-modules can only be a suggests,
    -source is recommended.
  * debian/copyright: add small paragraphs about the rights granted by the GPL. 

 -- Holger Levsen <holger@debian.org>  Sat, 14 Mar 2009 17:04:43 +0100

batmand (0.3-3) unstable; urgency=low

  * Replace looping maintainer address batmand@packages.d.o with mine.

 -- Holger Levsen <holger@debian.org>  Sat, 29 Nov 2008 18:54:54 +0000

batmand (0.3-2) unstable; urgency=low

  * The thanks to Sven Eckelmann release! (All patches in this upload where
    provided by him, I just wrote this changelog :-)
  * Bump standards version to 3.8.0, no changes needed, added breaks to
    Uploaders: anyway. (Closes: #497158)
  * batmand.8: turn minus signs into hyphens, or escape them properly. 
    (Closes: #497159)
  * Add a watch file. (Closes: #497157)

 -- Holger Levsen <holger@debian.org>  Sat, 25 Oct 2008 15:11:56 +0200

batmand (0.3-1) unstable; urgency=low

  * New upstream version.
  * Remove debian/patches and build-dependency on dpatch
  * Change maintainer email address.


