=== debian/control ===
Source: batmand
Section: net
Priority: extra
Maintainer:  Holger Levsen <holger@debian.org>
Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
Dm-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), dkms (>= 2.1.1.1-2)
Build-Depends-Indep: bzip2
Standards-Version: 3.9.0
Homepage: http://www.open-mesh.net/
Vcs-Git: git://git.debian.org/git/collab-maint/batmand.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/batmand.git

Package: batmand
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: batmand-gateway-source
Recommends: batmand-gateway-dkms (>= ${source:Version})
 | batmand-gateway-modules
Description: better approach to mobile adhoc networking
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks.
 .
 The approach of the B.A.T.M.A.N algorithm is to divide the knowledge about the
 best end-to-end paths between nodes in the mesh to all participating nodes.
 Each node perceives and maintains only the information about the best next hop
 towards all other nodes. Thereby the need for a global knowledge about local
 topology changes becomes unnecessary. Additionally, an event-based but timeless
 flooding mechanism prevents the accruement of contradicting topology
 information and limits the amount of topology messages flooding the mesh. The
 algorithm is designed to deal with networks that are based on unreliable links.

Package: batmand-dbg
Section: debug
Architecture: linux-any
Depends: ${misc:Depends}, batmand (= ${binary:Version})
Description: better approach to mobile adhoc networking (debug files)
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks.
 .
 This package contains the debug files.

Package: batmand-gateway-source
Section: kernel
Architecture: all
Depends: ${misc:Depends}, module-assistant, debhelper (>= 7), make, bzip2, quilt
Recommends: batmand
Description: Source for the batmand-gateway kernel module
 This package provides the source code for the batmand-gateway-source kernel
 modules. It is used to reduce the load of a batmand gateway by moving all
 tunnel related operations from userspace to kernelland and thus minimize memory
 operations between them. batmand doesn't require the gateway to be loaded to
 provide gateway functionality. Kernel source or headers are required to compile
 these modules.
 .
 This package is part of batmand. See batmand package for more information.

Package: batmand-gateway-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}
Recommends: batmand
Description: DKMS Source for the batmand-gateway kernel module
 This package provides the source code for the batmand-gateway-source kernel
 modules, packaged with approriate configuration for DKMS to build new modules
 dynamically. It is used to reduce the load of a batmand gateway by moving all
 tunnel related operations from userspace to kernelland and thus minimize memory
 operations between them. batmand doesn't require the gateway to be loaded to
 provide gateway functionality. Kernel source or headers are required to compile
 these modules.
 .
 This package is part of batmand. See batmand package for more information.
