## batmand 0.3.2+72+ga83038a

=== debian/changelog ===
batmand (0.3.2+72+ga83038a-4) experimental; urgency=medium

  * debian/control:
    - Automatically select correct Vcs-Git branch
    - Move Vcs to communitywlan-team group

 -- Sven Eckelmann <sven@narfation.org>  Sun, 28 Jul 2019 11:50:46 +0200

batmand (0.3.2+72+ga83038a-3) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:51 +0100

batmand (0.3.2+72+ga83038a-2) experimental; urgency=medium

  * Merge changes from batmand 0.3.2-18

 -- Sven Eckelmann <sven@narfation.org>  Fri, 19 Oct 2018 18:46:31 +0200

batmand (0.3.2+72+ga83038a-1) experimental; urgency=medium

  * New Upstream Snapshot from a83038a5a21e18791817b354d64e6fe443bb0564

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:32:43 +0100

batmand (0.3.2+71+g036aea1-1) experimental; urgency=medium

  * New Upstream Snapshot from 036aea1fe69d275aecae64cc643e8e34fac550a0
  * debian/patches:
    - Rebase nodetach.patch on top of 0.3.2+51+g1e275d9
    - Rebase hash_resize_leak.patch on top of 0.3.2+51+g1e275d9
    - Remove upstream merged linker-flags.patch and
      no_unchecked_binary_execute.patch
    - Remove upstream merged ansi_clear.patch, bitarry_shift.patch,
      cflags_linker.patch, const_assignment.patch,
      dependency_debugmalloc_memoryusage.patch, dereference_before_check.patch,
      hash_resize_leak.patch, include_guards.patch, includes.patch,
      make_header_depends.patch, preprocessor_debug_level.patch,
      preprocessor_policy_routing.patch, printf_fixup.patch,
      schedule_packet_null.patch, setsockopt_leak.patch, standard_daemon.patch,
      strict-aliasing.patch, unused_parameter.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Aug 2014 23:52:09 +0200

batmand (0.3.2+51+g1e275d9-1) experimental; urgency=low

  * New Upstream Snapshot from 1e275d939d45ecc1d96957a353dc639d28aefb52
  * debian/patches:
    - Remove upstream merged define_gnu_source.patch, dead_links.patch and
      email_addresses.patch
    - Remove lto.patch, Replaced by cflags_linker.patch
    - Add cflags_linker.patch, Add CFLAGS to the linker step
    - Add make_header_depends.patch, Don't fail rebuild when header is removed
    - Add include_guards.patch, Add include guards to avoid redundant
      declarations or include loops
    - Add const_assignment.patch, Avoid assigning const buffer to non-const
      pointer
    - Add preprocessor_policy_routing.patch, Fix preprocessor check for defined
      NO_POLICY_ROUTING
    - Add printf_fixup.patch, Fix printf format strings
    - Add ansi_clear.patch, Clear screen using ANSI escape codes
    - Add standard_daemon.patch, Use POSIX daemon function instead of
      self-written one
    - Add includes.patch, Add missing includes and remove unused includes
    - Add unused_parameter.patch, Mark unused parameter in dummy functions
    - Add preprocessor_debug_level.patch, Fix preprocessor check for defined
      DEBUG_MALLOC && MEMORY_USAGE
    - Add dependency_debugmalloc_memoryusage.patch, Add error for
      MEMORY_USAGE dependency
  * debian/rules:
    - Remove unused make option LTO=1
    - Add -flto to DEB_CFLAGS_MAINT_APPEND to replace lto.patch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 Sep 2013 22:42:29 +0200

batmand (0.3.2+50+g06537ed-1) experimental; urgency=low

  * New Upstream Snapshot from 06537edb55ac494709a6351e0f25555d2f58e9bc
  * debian/patches:
    - Remove upstream merged build_rules.patch, ftbfs_secondbuild.patch,
      install_manpage.patch, man_spelling_errors.patch,
      non_parallel_build.patch, version_info.patch
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sat, 16 Jun 2012 23:23:59 +0200

batmand (0.3.2-20) unstable; urgency=medium

  * debian/control:
    - Add Pre-Depends for --skip-systemd-native invoke-rc.d
    - Drop unused lsb-base dependency

 -- Sven Eckelmann <sven@narfation.org>  Sun, 28 Jul 2019 11:47:48 +0200

batmand (0.3.2-19) unstable; urgency=medium

  * debian/copyright:
    - Update copyright year
  * Update to debhelper to 12
  * debian/control:
    - Move Vcs to communitywlan-team group
  * Upgraded to policy 4.4.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Jul 2019 13:10:16 +0200

batmand (0.3.2-18) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - Switch from priority extra to optional
    - remove get-orig-source rule from debian/rules
  * Download snapshots via https:// in debian/get-orig-source.sh
  * Reference repository only over https:// in debian/upstream/metadata
  * debian/copyright:
    - Update copyright years
  * debian/control:
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch
    - Remove unused INSTALL variable
    - Use pkg-info.mk to add the package version as internal batmand version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 19:27:29 +0200

batmand (0.3.2-17) unstable; urgency=medium

  * Update copyright years in debian/copyright
  * Replace Holger Levsen as maintainer of batmand (Closes: #809647)
  * debian/control
    - Change Vcs-Git and Vcs-Browser to https://
  * debian/upstream/signing-key.asc
    - Import new upstream RSA 4096 key 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:26:22 +0100

batmand (0.3.2-16) unstable; urgency=medium

  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
  * debian/control, debian/rules:
    - Drop batmand-dbg in favor of -dbgsym package
  * debian/batmand.service

