=== debian/changelog ===
batmand (0.3.2+74+g2f62b17-1) unstable; urgency=medium

  * Upload to unstable
  * New Upstream Snapshot from 2f62b17d4132f82c4716b672101eb7faa916192a
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 20:00:56 +0100

batmand (0.3.2-23) UNRELEASED; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Dec 2022 11:42:20 +0100

batmand (0.3.2-22) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + batmand: Drop versioned constraint on sysvinit-utils in Depends.

  [ Sven Eckelmann ]
  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Switch to correct DEP-14 unstable branch name
  * debian/copyright
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:08:10 +0100

batmand (0.3.2-21) unstable; urgency=medium

  * debian/control:
    - Switch debhelper dependency to debhelper-compat
    - Upgraded to policy 4.5.0, no changes required
    - Allow build without (fake)root
    - Switch to debhelper compat 13
    - Switch maintainer to Debian CommunityWLAN Team
  * debian/batmand.postinst:
    - Drop workaround for upgrades from 0.3.2-2
  * debian/copyright
    - Update copyright years to 2020
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 11:48:11 +0200
