=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: batmand
 Section: net
 Priority: optional
-Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 4.4.0
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Uploaders:
+ Sven Eckelmann <sven@narfation.org>,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batmand.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batmand.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batmand
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
+ debhelper-compat (= 13),
 
 Package: batmand
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- sysvinit-utils (>= 2.88dsf-50),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: better approach to mobile adhoc networking
